package com.yidianling.ydlcommon.ui.confideredpacket.http

import com.yidianling.ydlcommon.base.config.YDL_DOMAIN
import com.yidianling.ydlcommon.base.config.YDL_DOMAIN_JAVA
import io.reactivex.Observable
import retrofit2.http.GET
import retrofit2.http.Headers
import retrofit2.http.Query

/**
 * @author yuanwai
 * @描述:倾诉首页Api
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2018/8/10
 */
interface ConfideRedPacketApi{
    //倾诉红包接口
    @Headers(YDL_DOMAIN + YDL_DOMAIN_JAVA,"Content-Type:application/json")
    @GET("auth/coupon/max")
    fun getCouponMax(@Query("serviceType") serviceType :String ): Observable<com.yidianling.ydlcommon.data.http.BaseAPIResponse<String>>
}